`lqr_progress_set_update`
Prev | Progress reports | Next

## Name

lqr_progress_set_update — execude custom code at regular steps during each rescaling operation

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_progress_set_update(` | LqrProgress* p,
| LqrProgressFuncUpdate update_func`)`;

## Description

The function `lqr_progress_set_update` sets the hook `update_func` to the `LqrProgress` object pointed to by `p`.

The function `update_func` is of type `LqrProgressFuncUpdate`, whose prototype is defined by:

    typedef LqrRetVal (*LqrProgressFuncUpdate) (gdouble completion_percentage);

Each time that the function `lqr_carver_resize`(3) performs a rescale operation (recall that it can perform more than one rescale operation at each call) this function will be called at regular intervale, with the current completion percentage `completion_percentage` as an argument.

The update step can be set with the function `lqr_progress_set_update_step`(3).

## Return value

The return value follows the Liquid Rescale library signalling system.

## See also

LqrRetVal(3), `lqr_progress_new`(3), `lqr_progress_set_init`(3), `lqr_progress_set_end`(3), `lqr_progress_set_init_width_message`(3), `lqr_progress_set_init_height_message`(3), `lqr_progress_set_end_width_message`(3), `lqr_progress_set_end_height_message`(3), `lqr_progress_set_update_step`(3), `lqr_carver_set_progress`(3)

Prev | Up | Next
`lqr_progress_set_init` | Home | `lqr_progress_set_end`